* {
    margin: 0;
    padding: 0;
}


h1 {
  font-family: "League Spartan", sans-serif;
  font-size: 45px;
  text-align: center;
  margin-bottom: -80px;
  margin-top: 45px;
}


h2 {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 13px;
    margin-top: 35px;
    margin-bottom: 10px;
    padding: 10px;
    border-radius: 10px;
    background-color: #f2efeb;
    letter-spacing: 5px;
    text-align: center;   
}

h3 {

    font-size: 10px;
    font-family: "Roboto", sans-serif;
}

h4{
    font-family: Arial, Helvetica, sans-serif;
    font-size: 20px;
    margin-top: 35px;
    margin-bottom: 10px;
    border-radius: 10px;
    letter-spacing: 5px;
    text-align: center;
}
h5{
    font-family: Arial, Helvetica, sans-serif;
    font-size: 13px;
    text-align: center;
}

main {
    width: 50%;
    min-height: 100vh;
    background-color: white;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
}


body {
    background-color: #f4f4f4;
    display: flex;
    justify-content: center;
}

.blue-box {
    background-color: #e4e4ff;
    margin-top: 50px;
    width: 100%;
    height: min-content;
    display: flex;
    justify-content: center;
}

.title-blue {
    display: flex;
    flex-direction: column ;
    align-items: center;
}

.web-dev {
    width: 40%;
}

.competences-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    margin-top: 10px;
    gap: 20px;
    margin-bottom: 50px;
}

li {
    font-family: "Roboto", sans-serif;
    font-size: 15px;
}

.line {
    border: solid 1px rgb(69, 67, 67);
    height: 739px;
}

.main-container {

    display: grid;
    grid-template-columns: 40% 1px 60%;
    height: 740px;
}

.logiciels {
    display: grid;
    grid-template-columns: 1fr 1fr ;
    grid-template-rows: 1fr 20px 1fr 20px  1fr 20px ;
    row-gap: 30px;
    
}

.icon {
    margin-left: auto;
    margin-right: auto;
    margin-top: -20px;
    transition: all ease-in-out 0.3s;
}

.langages-icon {
    margin-left: auto;
    margin-right: auto;
    margin-top: 23px;
    transition: all ease-in-out 0.3s;
}

.left-side h4 {
    margin-bottom: 50px;
}

.txt-icon {
    font-family: "Roboto", sans-serif;
    font-size: 13px;
    text-align: center;
    margin-top: -15px;
}

#vscode {
    grid-column: 1/2;
    grid-row: 2/3;
}
#wordpress{
    grid-column: 2/3;
    grid-row: 2/3;
}
#github {
    grid-column: 1/2;
    grid-row: 4/5;
}
#figma {
    grid-column: 2/3;
    grid-row: 4/5;
}

#photoshop {
    grid-column: 1/2;
    grid-row: 6/7;
}

#illustrator {
    grid-column: 2/3;
    grid-row: 6/7;
}

.profil-txt {
    font-family: "Roboto", sans-serif;
    margin-left: 20px;
    margin-right: 20px;
    font-size: 12px;
    margin-top: -30px;
}

.langages {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: 1fr 20px;

}



.langages-txt {
    grid-row: 2/3;
    font-family: "Roboto", sans-serif;
    font-size: 13px;
    text-align: center;
    margin-top: 12px;
}

.right-side li  {

    margin-top: 30px;
    margin-left: 100px;
    font-size: 13px;


}

.exp-pro-txt {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 13px;
    margin-left: 50px;
    margin-right: 20px;
    margin-top: 20px;
}

.diplomes-txt {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 13px;
    margin-left: 50px;
    margin-right: 20px;
    margin-top: 20px;
    margin-bottom: 50px;
}
.diplomes-txt p {
    margin-top: 20px
}

.infos-persos {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 13px;
    margin-left: 20px;
    margin-top: 30px;
    margin-bottom: 30px;
}

.infos-persos p {
    margin-top: 10px;
}
.rectangle {
    height: 50px;
    background-color: #ebebeb;
}



.competences-1, .competences-2, .competences-3{
    transition: all ease-in-out 0.3s;
}

.icon:hover {
   transform: scale(1.2);
   transition: all ease-in-out 0.15s;

}

.langages-icon:hover {
   transform: scale(1.2);
   transition: all ease-in-out 0.15s;
}